Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.www.mux.handlers
Class Discard

    java.lang.Object
      |
      +--java.lang.Thread
            |
            +--org.w3c.www.mux.handlers.Discard

All Implemented Interfaces:
  MuxProtocolHandler, java.lang.Runnable

public class Discard
extends java.lang.Thread
implements MuxProtocolHandler

The discard protocol handler.

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`Discard()` Default public constructor.

Method Summary
`void` | `initialize(MuxSession session)` Initialize the echo protocol on that session.
`void` | `run()` Run the discard protocol, can't be easier !

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Discard

    public Discard()

  Default public constructor.

Method Detail

### run

    public void run()

  Run the discard protocol, can't be easier !

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

### initialize

    public void initialize(MuxSession session)
                    throws java.io.IOException

  Initialize the echo protocol on that session.

  Specified by:
    `initialize` in interface `MuxProtocolHandler`
  Parameters:
    `session` - The session to use to speak that protocol.
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD